/* ==========================================================================
  ARTICLE
===========================================================================*/

.article {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  text-decoration: none;
  text-align: left;

  + .article {
    margin-top: 20px;
  }
}

.article__block {
  height: 225px;

  .article__image {
    width: 100%;
    height: 100%;
  }

  .article__title {
    position: absolute;
    z-index: 2;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 20px;
    color: $color-white;
    background-color: rgba($color-black, 0.7);

    &:hover {
      color: $color-white;;
    }
  }
}

.article_large {

  .article__image {
    width: 50%;
    height: 450px;

    @include mq("desktop", "max") {
      height: 350px;
    }

    @include mq("laptop", "max") {
      height: 250px;
    }

    @include mq("tablet", "max") {
      width: 100%;
      height: 300px;
    }

    @include mq("tablet-small", "max") {
      height: 200px;
    }
  }

  .article__title {
    font-size: 27px;

    @include mq("laptop", "max") {
      font-size: 22px;
    }

    @include mq("tablet", "max") {
      font-size: 18px;
    }
  }
}

.article_small {
  @include mq("tablet") {
    max-width: 650px;
  }

  .article__image {
    width: 50%;
    height: 225px;

    @include mq("laptop", "max") {
      width: 40%;
      height: 180px;
    }

    @include mq("tablet", "max") {
      width: 100%;
      height: 300px;
    }

    @include mq("tablet-small", "max") {
      height: 200px;
    }
  }

  .article__title {
    font-size: 27px;
    font-weight: $font-weight-regular;

    @include mq("laptop", "max") {
      font-size: 22px;
    }
  }

  .article__content {

    @include mq("laptop", "max") {
      width: 60%;
    }

    @include mq("tablet", "max") {
      width: 100%;
    }
  }
}

.article__content {
  width: 50%;
  padding-left: 25px;

  @include mq("tablet", "max") {
    width: 100%;
    padding: 0;
    text-align: center;
  }
}

.article__image {
  position: relative;
  display: block;

  &::after {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: $color-primary;
    opacity: 0;
    z-index: 1;
    transition: .3s;
    pointer-events: none;
  }

  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  &:hover {

    &::after {
      opacity: .5;
    }
  }
}

.article__labels {
  position: absolute;
  z-index: 2;
  top: 10px;
  right: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.article__date {
  display: inline-flex;
  padding: 10px;
  color: $color-white;
  text-align: center;
  font-weight: $font-weight-bold;
  background-color: $color-primary;

  @include mq("laptop", "max") {
    font-size: 14px;
  }

  + .article__mark {
    margin-top: 10px;
  }
}

.article__mark {
  display: inline-flex;
  padding: 5px 10px;
  color: $color-white;
  text-align: center;
  font-weight: $font-weight-bold;
  background-color: $color-primary;

  @include mq("laptop", "max") {
    font-size: 14px;
  }
}

.article__title {
  display: inline-block;
  margin: 0;
  color: $color-black-light;
  font-size: $font-size-h4;
  font-weight: $font-weight-regular;
  text-decoration: none;

  &:hover {
    color: $color-primary;
  }

  @include mq("tablet", "max") {
    margin-top: 20px;
    font-size: 18px;
  }
}

// FOR MAIN NEWS
.article__main-news {

  &:hover {

    .article__image {
      &::after {
        opacity: .5;
      }
    }

    .article__title {
      color: $color-primary;
    }
  }

  .article__image {
    height: 225px;
  }

  .article__title {
    margin-top: 15px;
    font-size: 27px;

    @include mq("laptop", "max") {
      font-size: 22px;
    }

    @include mq("tablet", "max") {
      font-size: 18px;
    }
  }
}

/* end article */
